export interface IStandardisedReturn<T> {
	state: EReturnState;
	message?: string;
	resolved?: T;
}

export enum EReturnState {
	unauthorized = 0,
	clientError = 1,
	serverError = 2,
	done = 3,
	queued = 4,
}
